Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005149OCamlOCamldocpublic2010-09-16 23:012013-08-12 08:38
ReporterHendrik Tews 
Assigned Toguesdon 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target Version4.01.0+devFixed in Version4.01.0+dev 
Summary0005149: various problems in the ocaml documentation
DescriptionI spotted the following errors/problems in the ocaml documentation:

1. The parser examples in 1.8 only show the error "Reference to
   undefined global `Dynlink'"

2. In 3.12 the example after "However, the domain of the coercion
   cannot be omitted here": does work now!

3. Option -vnum of ocamlyacc is not documented

4. The conditions on caml_register_generational_global_root make
   it useless, because one has to register before storing a valid
   value and one must not change it after registration, thus
   generational global roots can only contain invalid values!
   (Probably related to issue 0004743).

5. The doc of Pervasives.atan2 speaks about atan.

6. The meaning of the type parameters 'd, 'e and 'f of format6
   are still undocumented.

7. In the txt version, the intro for nested modules is displaced,
   see for instance Map.OrderedType. (This is related to point 8
   of 0004292)

8. The doc of Scanf.Scanning.open_in speaks about from_file.

9. In the doc of Scanf, the subitemize for conversion `s' is not
   formatted correctly.

10. In the txt version references to subsections like "with a
    special case for {!Scanf.space}" in scanf.mli do not work:
    They are formatted as "with a special case for [20.27]" but
    20.27 is the Scanf Section!

11. Sys.is_directory is present since 3.10.

12. The windows status "ditto" of Unix.out_channel_of_descr,
    which expanded to "...works under NT, 2000, XP" in 3.11
    expands now to "not implemented". Is this really the case?

13. UnixLabels has been forgotten during the update, it is not in
    sync with Unix any more, see
    + process_status : WSTOPPED
    + utimes
    + setgroups
    + initgroups
    + socket_domain : PF_INET6

14. The module MoreLabels is missing in the txt version.

15. The line break in the html backend does not always work. For
    instance MoreLabels.Map.S.html is all in one line.

16. Some of the expanded meta symbols in 7 are not hot on the
    left hand side, so that one can not easily jump to it:
    + pattern in 7.11
    + let-binding in 7.12
    + parameter in 7.13
    + module-type in 7.15
    + mod-constraint in 7.16
    + class-field in 7.17
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005675)
xclerc (developer)
2010-10-05 13:21
edited on: 2010-10-05 13:21

Item 9 is fixed in "version/3.12" by revision 10705.

(0005680)
doligez (administrator)
2010-10-12 11:57

Item 11 fixed in 3.12.1+dev5
Item 3 will be fixed with the release of 3.13.0
(0005797)
matthias-goergens (reporter)
2011-02-09 23:45

I've just hit item 1 myself. You can fix it by loading

    #load "dynlink.cma";;

first.
(0005839)
weis (developer)
2011-03-06 17:28

Item 5 is fixed in version 3.12.1
Item 8 is fixed in 3.12.1+dev6
Item 10 is fixed in 3.12.1+dev6
Item 13 is fixed in 3.12.1+dev6
(0005898)
doligez (administrator)
2011-05-17 15:33

fixed 2, 4, 6, 12.
item 1 was fixed for another report

REMAIN TO BE FIXED: 7, 14, 15, 16
(0007694)
doligez (administrator)
2012-07-10 18:29

point 7: there is no intro for OrderedType. Point 8 of 4292 was fixed by inserting a blank line in the .mli
point 14: fixed
point 15: as far as I can tell, this only affects MoreLabels and StdLabels and their sub-modules. At any rate, this is a small problem, since the HTML is still correct and displays correctly.
point 16: will need some hacking on our TeX and Hevea files.

REMAIN TO BE FIXED: 15 and 16
(0007870)
Hendrik Tews (reporter)
2012-08-02 11:28

I don't believe item 4 has been fixed. The 4.00 documentation still says one should register before storing a valid value and one should not change the value after registration. As a consequence all generational global roots must contain invalid values!
(0008869)
doligez (administrator)
2013-02-19 11:50

Point 16 has been fixed at some point.

REMAINING:
4
15 (probably an ocamldoc problem)
(0009751)
doligez (administrator)
2013-07-11 16:07

Point 4 was fixed in rev 11047 by changing the wording of the doc.

About the only remaining point (15): it looks like ocamldoc never bothers inserting any line breaks, the only one I can see are from the source files.

I'm downgrading this to an ocamldoc feature request.
(0010109)
guesdon (manager)
2013-08-05 11:32

I don't understand point 15: "The line break in the html backend does not always work. For instance MoreLabels.Map.S.html is all in one line."

Looking at http://caml.inria.fr/pub/docs/manual-ocaml-4.00/libref/MoreLabels.Map.S.html, [^] what is "all in one line" ?
(0010156)
Hendrik Tews (reporter)
2013-08-11 23:46

Hi,

point 15 is just a remark: While most ocamldoc generated html
files contain reasonable line breaks in the html sources, the
html source for MoreLabels.Map.S.html contains one very very long
line.

I thought someone may be interested in this point, if not just
close this issue.

Bye,

Hendrik
(0010158)
guesdon (manager)
2013-08-12 08:38
edited on: 2013-08-12 08:40

Since revisions 13990 (branch 4.01) and 13991 (trunk), line breaks are now added before pre tags. This should make html source more readable.


- Issue History
Date Modified Username Field Change
2010-09-16 23:01 Hendrik Tews New Issue
2010-10-05 13:21 xclerc Note Added: 0005675
2010-10-05 13:21 xclerc Note Edited: 0005675
2010-10-12 11:57 doligez Note Added: 0005680
2011-02-09 23:45 matthias-goergens Note Added: 0005797
2011-03-06 17:28 weis Note Added: 0005839
2011-05-17 15:33 doligez Note Added: 0005898
2011-05-17 15:33 doligez Status new => acknowledged
2012-07-10 18:29 doligez Note Added: 0007694
2012-07-10 18:29 doligez Target Version => 4.01.0+dev
2012-07-31 13:36 doligez Target Version 4.01.0+dev => 4.00.1+dev
2012-08-02 11:28 Hendrik Tews Note Added: 0007870
2012-09-19 14:10 doligez Target Version 4.00.1+dev => 4.00.2+dev
2013-02-19 11:50 doligez Note Added: 0008869
2013-07-11 16:07 doligez Note Added: 0009751
2013-07-11 16:07 doligez Severity minor => feature
2013-07-11 16:07 doligez Category OCaml documentation => OCamldoc
2013-07-11 16:07 doligez Target Version 4.00.2+dev => 4.02.0+dev
2013-07-12 18:15 doligez Target Version 4.02.0+dev => 4.01.1+dev
2013-08-05 11:32 guesdon Note Added: 0010109
2013-08-05 11:32 guesdon Assigned To => guesdon
2013-08-05 11:32 guesdon Status acknowledged => feedback
2013-08-11 23:46 Hendrik Tews Note Added: 0010156
2013-08-11 23:46 Hendrik Tews Status feedback => assigned
2013-08-12 08:38 guesdon Note Added: 0010158
2013-08-12 08:38 guesdon Status assigned => resolved
2013-08-12 08:38 guesdon Resolution open => fixed
2013-08-12 08:38 guesdon Fixed in Version => 4.01.0+dev
2013-08-12 08:38 guesdon Target Version 4.01.1+dev => 4.01.0+dev
2013-08-12 08:40 guesdon Note Edited: 0010158 View Revisions


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker